%global rbname gnome2

Summary: a set of Ruby language bindings for the GNOME 2.0 development environment
Name: ruby-%{rbname}

%global momorel 1

Version: 0.12.0
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://ruby-gnome2.sourceforge.jp/

%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-all-%{version}.tar.gz 3aa40a574f0365361745d852494240a3

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires(build): atk-devel >= 1.0
BuildRequires(build): libgda-devel >= 1.2.0
BuildRequires(build): gtkglext-devel >= 1.0.3
BuildRequires(build): libgnome-devel >= 2.0.0
BuildRequires(build): libgnomecanvas-devel >= 2.0.0
BuildRequires(build): libgnomeui-devel >= 2.0.0
BuildRequires(build): libgtkhtml-devel >= 2.2.0
BuildRequires(build): gstreamer-devel >= 0.6.2
BuildRequires(build): libgnomeprint >= 2.8.1
BuildRequires(build): libgnomeprintui >= 2.6.2
BuildRequires(build): librsvg >= 2.6.5
BuildRequires(build): ruby-devel >= 1.8.2

Requires: ruby-opengl

%description
This is a set of bindings for the GNOME-2.0 libraries for use from Ruby.

Ruby-GNOME2 includes following libraries:
  * Ruby/GLib
  * Ruby/ATK
  * Ruby/Pango
  * Ruby/GdkPixbuf
  * Ruby/GTK2
  * Ruby/GConf2
  * Ruby/GNOME2
  * Ruby/GnomeCanvas2
  * Ruby/GnomePrint
  * Ruby/GnomePrintUI
  * Ruby/GnomeVFS
  * Ruby/GStreamer
  * Ruby/GtkHtml2
  * Ruby/GtkGLExt
  * Ruby/GtkSourceView
  * Ruby/Libart2
  * Ruby/Libgda
  * Ruby/Libglade2
  * Ruby/PanelApplet
  * Ruby/RSVG

%package devel
Summary: a set of Ruby language bindings for the GNOME 2.0 development environment
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: ruby-devel
Requires: glib-devel >= 2.6.1
Requires: gtk+-devel >= 2.6.1

%description devel
development package for ruby-gnome2

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{name}-all-%{version}

function setup_documents() {
  name=$1
  %__mkdir_p documents/${name}
  for file in COPYING.LIB ChangeLog* README*; do
    if [ -f ${name}/${file} ]; then
      %__cp -p ${name}/${file} documents/${name}
    fi
  done
  for directory in sample tests; do
    if [ -d ${name}/${directory} ]; then
      %__cp -pr ${name}/${directory} documents/${name}
    fi
  done
}

setup_documents atk
setup_documents gconf
setup_documents gdkpixbuf
setup_documents glib
setup_documents gnome
setup_documents gnomecanvas
setup_documents gnomeprint
setup_documents gnomeprintui
setup_documents gnomevfs
setup_documents gstreamer
setup_documents gtk
setup_documents gtkglext
setup_documents gtkhtml2
setup_documents gtksourceview
setup_documents libart
setup_documents libgda
setup_documents libglade
setup_documents panel-applet
setup_documents pango
setup_documents rsvg

find . -name CVS | xargs rm -rf

find . -type f \
  | xargs ruby -I . -i -p -e "
sub(%r|^#!\\s*/usr/local/bin|, '#! %{_bindir}')
sub(%r|/usr/local/bin/ruby|, '%{_bibdir}/ruby')
"

%build
ruby extconf.rb
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make install \
  BINDIR=%{buildroot}%{_bindir} \
  sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README* NEWS
%doc documents/*
# Ruby/GLib2
%{ruby_libdir}/glib2.rb
%{ruby_archdir}/glib2.so
# Ruby/Atk
%{ruby_libdir}/atk.rb
%{ruby_archdir}/atk.so
# Ruby/Pango
%{ruby_libdir}/pango.rb
%{ruby_archdir}/pango.so
# Ruby/GdkPixbuf2
%{ruby_libdir}/gdk_pixbuf2.rb
%{ruby_archdir}/gdk_pixbuf2.so
# Ruby/GTK2
%{ruby_libdir}/gtk2.rb
%{ruby_archdir}/gtk2.so
%{ruby_archdir}/gtk20.so
%{ruby_archdir}/gtk22.so
# Ruby/GConf2
%{ruby_libdir}/gconf2.rb
%{ruby_archdir}/gconf2.so
# Ruby/GNOME2
%{ruby_libdir}/gnome2.rb
%{ruby_archdir}/gnome2.so
# Ruby/GnomeCanvas2
%{ruby_libdir}/gnomecanvas2.rb
%{ruby_archdir}/gnomecanvas2.so
# Ruby/GnomePrint
%{ruby_libdir}/gnomeprint2.rb
%{ruby_archdir}/gnomeprint2.so
# Ruby/GnomePrintUI
%{ruby_libdir}/gnomeprintui2.rb
%{ruby_archdir}/gnomeprintui2.so
# Ruby/GnomeVFS
%{ruby_libdir}/gnomevfs.rb
%{ruby_archdir}/gnomevfs.so
# Ruby/GStreamer
%{ruby_libdir}/gst.rb
%{ruby_archdir}/gst.so
# Ruby/GtkHtml2
%{ruby_libdir}/gtkhtml2.rb
%{ruby_archdir}/gtkhtml2.so
# Ruby/GtkGLExt
%{ruby_libdir}/gtkglext.rb
%{ruby_archdir}/gtkglext.so
# Ruby/GtkSourceView
%{ruby_libdir}/gtksourceview.rb
%{ruby_archdir}/gtksourceview.so
# Ruby/Libart2
%{ruby_archdir}/libart2.so
# Ruby/Libgda
%{ruby_libdir}/libgda.rb
%{ruby_archdir}/libgda.so
# Ruby/Libglade2
%{_bindir}/ruby-glade-create-template
%{ruby_libdir}/libglade2.rb
%{ruby_archdir}/libglade2.so
# Ruby/PanelApplet
%{ruby_libdir}/panelapplet2.rb
%{ruby_archdir}/panelapplet2.so
# Ruby/RSVG
%{ruby_libdir}/rsvg2.rb
%{ruby_archdir}/rsvg2.so

%files devel
%defattr(-,root,root)
%{ruby_libdir}/mkmf-gnome2.rb
%{ruby_libdir}/pkg-config.rb
%{ruby_archdir}/rb*.h

%changelog
* Mon Mar  7 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.12.0-1m)
- support recent gnome2 environments

* Thu Jan 27 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-5m)
- rebuild against libgda-1.2.0

* Thu Jan 13 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.11.0-4m)
- rebuild against gtk+-2.6.1
- add patch1

* Mon Dec  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-3m)
- apply 'ruby-gnome2-0.11.0-gnomeprint.patch

* Sun Dec  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-2m)
- with Ruby/GnomePrint

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.11.0-1m)
- version up

* Wed Oct 27 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.10.1-1m)
- version up

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-6m)
- rebuild against ruby-1.8.2

* Fri Apr 23 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.1-5m)
- rebuild against gstreamer-0.8.1
- omit gstreamer library temporarily 

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.1-4m)
- rebuild against for libxml2-2.6.8
- rebuild against for libxslt-1.1.5

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.1-2m)
- revised spec for rpm 4.2.

* Mon Mar 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.9.1-1m)
- update to version 0.9.1

* Thu Dec 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.8.1-2m)
- rebuild against postgresql-7.4.1

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.1-1m)
- version 0.8.1.

* Mon Dec 22 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-2m)
- rebuild against libgda.

* Mon Nov 17 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8.0-1m)
- version up.

* Mon Sep 08 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-2m)
- add sample script of gtkglext.

* Sun Sep 07 2003 Kenta MURATA <muraken2@nifty.com>
- (0.7.0-1m)
- version up.

* Thu Aug 14 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-2m)
- ruby-glade-create-template

* Sun Aug 10 2003 Kenta MURATA <muraken2@nifty.com>
- (0.6.0-1m)
- version up.

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-3m)
- merge from ruby-1_8-branch.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-2m)
- merge from HEAD.
- apply patch for ruby-1.8.0.

* Thu Jul 31 2003 Kenta MURATA <muraken2@nifty.com>
- (0.5.0-1m)
- version up.

* Fri Jun 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-3m)
- rebuild against for gconf.

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.0-2m)
- rebuild against for XFree86-4.3.0

* Sun Mar 23 2003 Kenta MURATA <muraken2@nifty.com>
- (0.4.0-1m)
- version up.

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.3.0-2m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.3.0-1m)
- version up.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-3m)
- apply patch for GtkClipboard collision bug.

* Wed Jan 15 2003 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-2m)
- release up.

* Sun Dec 29 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.2-1m)
- version up.

* Wed Dec 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1-2m)
- i586-linux -> *-linux

* Mon Dec 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1-1m)
- initial revision
